/*
  Originally developped for the SmbShareScan project.
  Copyright (C) 2004-2005  Guillaume Roche

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <stdio.h>
#include <stdlib.h>
#include <libsmbclient.h>
#include <errno.h>
#include <pthread.h>
#include "samba.h"

typedef struct _task task;

typedef struct _list_tasks list_tasks;

struct _task {
  smbcfile *file; /* file of the transfer */
  int percent; /* percent of the transfer */
  int file_size; /*size of the file */
};

struct _list_tasks {
  task **list;
  int size_list = 0;
}

task *add_task ();
